# parameterizedTypeOf

open fun parameterizedTypeOf(parameterizedType: TypeOf<out Any>, typeArguments: Array<TypeOf<out Any>>): TypeOf<out Any>

Constructs a new parameterized type from a given parameterized type definition and an array of type arguments. For example, `parameterizedTypeOf(new TypeOf<List<?>>() {}, new TypeOf<String>() {})` is equivalent to `new TypeOf<List<String>>() {}`, except both the parameterized type definition and type arguments can be dynamically computed.

#### Parameters

parameterizedType

the parameterized type from which to construct the new parameterized type

typeArguments

the arguments with which to construct the new parameterized type

#### See also

isParameterized()